Eclipse之cannot be resolved to a type

在敲淘淘商城时,如果是一直出现写的注解一直在报红线,那么根据我搜到的资料原因如下:

1.找到你所在的项目右击-build path,替换jdk的版本,因为eclipse有默认的Jdk版本,虽然说你在eclipse中的Windows-preference中已经配置了你下载的jdk版本,但是大概是不行,所以你要提升你所在项目的默认版本(默认版本就是你eclipse所使用的版本,但是你的项目的环境搭建的时候要是用更高的版本),即在eclipse中的jre包版本

 

 

最后点击finish-apply close就行了

2.jar包缺失或冲突   一般情况下,点击你报红线的注解的叉号,它下边会有解决办法,其中会有一条引入import 相应的jar包,点击引入方可解决这个问题,如果缺失就引入,如果冲突,有过多的jar包,就删除(注:如果你点击的红线中没有import这一项,首先你检查你的注解是否拼写错误,否则,解决方法中会提示你创创建新的注解)

3.选择工具栏上project -clean,进行操作

4.还有人说在eclipse中配置自己的Tomcat,具体的tomcat配置过程如下,Windows-preferences-server-runtimeEnvironments-add-选择解压的Tomcat-应用即可

关于eclipse在Tomcat的配置,Windows-preference下没有server这一项,请看这篇博客,https://www.cnblogs.com/xiaoxiaoweng/p/7298183.html

5.如果你的注解一直报错,那么首先要考虑的问题是注解是不是拼写错了

关于为什么要使用注解的文章:https://blog.csdn.net/Oversdownload/article/details/75267147

希望我心中有海,感激认真鼓励我的那些人。

©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页